﻿using System;
using System.Windows;
using Infragistics.Controls.Grids;
using Infragistics.Documents.Excel;

namespace SpreadsheetDropdownIssueSample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void MainWindow_OnInitialized(object sender, EventArgs e)
		{
			Spreadsheet.Workbook = Workbook.Load("SampleSheet.xlsx");

			Spreadsheet.ActiveWorksheet.Rows[1].Cells[0].Value = "Select next cell and press Ctrl + Z to see the exception.";
			Spreadsheet.Workbook.NamedReferences[0].SetFormula("=Variables!R1C1:R50C2", CellReferenceMode.R1C1);
		}
	}
}
